declare const _default: import("vue").DefineComponent<{
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: any;
    selectPrefixCls: any;
    current: NumberConstructor;
    defaultCurrent: any;
    total: any;
    pageSize: NumberConstructor;
    defaultPageSize: any;
    hideOnSinglePage: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSizeChanger: {
        type: BooleanConstructor;
        default: any;
    };
    showLessItems: {
        type: BooleanConstructor;
        default: boolean;
    };
    selectComponentClass: any;
    showPrevNextJumpers: {
        type: BooleanConstructor;
        default: boolean;
    };
    showQuickJumper: any;
    showTitle: {
        type: BooleanConstructor;
        default: boolean;
    };
    pageSizeOptions: any;
    buildOptionText: FunctionConstructor;
    showTotal: FunctionConstructor;
    simple: {
        type: BooleanConstructor;
        default: any;
    };
    locale: any;
    itemRender: any;
    prevIcon: any;
    nextIcon: any;
    jumpPrevIcon: any;
    jumpNextIcon: any;
    totalBoundaryShowSizeChanger: any;
}, unknown, {
    stateCurrent: any;
    stateCurrentInputValue: any;
    statePageSize: any;
}, {}, {
    getJumpPrevPage(): number;
    getJumpNextPage(): number;
    getItemIcon(icon: any, label: any): any;
    getValidValue(e: any): any;
    isValid(page: any): boolean;
    shouldDisplayQuickJumper(): any;
    handleKeyDown(event: any): void;
    handleKeyUp(e: any): void;
    changePageSize(size: any): void;
    handleChange(p: any): any;
    prev(): void;
    next(): void;
    jumpPrev(): void;
    jumpNext(): void;
    hasPrev(): boolean;
    hasNext(): boolean;
    getShowSizeChanger(): boolean;
    runIfEnter(event: any, callback: any, ...restParams: any[]): void;
    runIfEnterPrev(event: any): void;
    runIfEnterNext(event: any): void;
    runIfEnterJumpPrev(event: any): void;
    runIfEnterJumpNext(event: any): void;
    handleGoTO(event: any): void;
    renderPrev(prevPage: any): any;
    renderNext(nextPage: any): any;
}, {
    methods: {
        setState(state?: {}, callback?: () => any): void;
        __emit(): void;
    };
}, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    prefixCls: any;
    selectPrefixCls: any;
    current: NumberConstructor;
    defaultCurrent: any;
    total: any;
    pageSize: NumberConstructor;
    defaultPageSize: any;
    hideOnSinglePage: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSizeChanger: {
        type: BooleanConstructor;
        default: any;
    };
    showLessItems: {
        type: BooleanConstructor;
        default: boolean;
    };
    selectComponentClass: any;
    showPrevNextJumpers: {
        type: BooleanConstructor;
        default: boolean;
    };
    showQuickJumper: any;
    showTitle: {
        type: BooleanConstructor;
        default: boolean;
    };
    pageSizeOptions: any;
    buildOptionText: FunctionConstructor;
    showTotal: FunctionConstructor;
    simple: {
        type: BooleanConstructor;
        default: any;
    };
    locale: any;
    itemRender: any;
    prevIcon: any;
    nextIcon: any;
    jumpPrevIcon: any;
    jumpNextIcon: any;
    totalBoundaryShowSizeChanger: any;
}>>, {
    disabled: boolean;
    prefixCls: any;
    itemRender: any;
    locale: any;
    prevIcon: any;
    nextIcon: any;
    total: any;
    defaultCurrent: any;
    defaultPageSize: any;
    hideOnSinglePage: boolean;
    showSizeChanger: boolean;
    pageSizeOptions: any;
    showQuickJumper: any;
    simple: boolean;
    selectPrefixCls: any;
    totalBoundaryShowSizeChanger: any;
    selectComponentClass: any;
    showLessItems: boolean;
    showPrevNextJumpers: boolean;
    showTitle: boolean;
    jumpPrevIcon: any;
    jumpNextIcon: any;
}, {}>;
export default _default;
